API & No-Code Integrations
Automate invoice creation by connecting Zenvoicer to Zapier, Make, or your own scripts via our REST API.
1. Get your API Key
To secure your requests, you must use your secret API key. You will find it soon in the Settings of your Zenvoicer application (Connected Space / Dashboard).
⚠️ Warning: Never share this key publicly. It grants access to invoice creation on your account.
2. Endpoint: Create an invoice
Automatically create an invoice (which will enter the dunning loop) via a POST request.
POST
https://zenvoicer.io/api/v1/invoicesRequired Headers:
Authorization: Bearer YOUR_API_KEY Content-Type: application/json
Request Body (JSON):
{
"clientName": "Acme Corp", // (Required) Client name
"clientEmail": "contact@acme.com", // (Required) Client email
"amount": 1500, // (Required) Amount incl. tax
"dueDate": "2026-07-15T00:00:00Z" // (Required) ISO-8601 Due date
}Example Response (200 OK):
{
"success": true,
"invoice": {
"id": "clxt7k...",
"status": "PENDING",
"amount": 1500
}
}Need help configuring Zapier?
You can use the "Webhooks by Zapier" (Custom Request) module and copy/paste the elements above to connect Stripe, Calendly, or WooCommerce to Zenvoicer!